Create a New Internal User

Prev Next
Post
/sys-rest-api/jersey/v1/users

UI Location: SYSTEM DATA - Security- Users- User Maintenance
postman-to-openapi

Body Parameters
The POST request creates a new internal (Company) user based on the provided payload. External (Partner) users are not supported at this moment. The payload includes various fields, such as user, portalLdapUser, ldapServerName, empNo, firstName, lastName, compCode, email, contactCode, configCode, and defaultConsoleName each representing different attributes of the user.
The parameter reuseLdap can be used to link the user that is being created to an existing LDAP user, in case it already exists. This parameter should only be used in cases where the initial user creation failed due the existence of the LDAP user and it is confirmed that the new user must be linked with the existing LDAP. Do not send this parameter unless is necessary.

The password for the new user will be randomly generated, without the option to be informed in the payload due to security compliances. The new user will have to use the "Forgot Password" method to reset their password before the first login.

Request Body

Field Description Data Type Required Example Value
user User ID string True Adam
portalLdapUser Login Name string True Adam
ldapServerName LDAP Server Name (Case-Sensitive) string False,
If not provided, the default LDAP server from system setup will be used
Default
empNo Employee No string False Adam2
firstName First Name string True,
If the employee number is provided, First name will be populated automatically
Adam
lastName Last Name string True,
If the employee number is provided, Last name will be populated automatically
Sandler
compCode Company code string True ZZ
email E-mail string True Adam@hotmail.com
contactCode Contact Code string False ASandler3
configCode User Treeview string False DFLT
defaultConsoleName Default Console string False CONSOLE
workPhoneNnum Work Phone Number string False 123 312 2983
faxNum Fax Number string False 234 123 4567
regionCode Region Code string False CA
postalCode Postal Code string False L2W 9H4
country Country string False Canada
addCode Address Code string False ADD2
dbUserFlag Database User Flag string False N
reuseLdap Link to Existing LDAP User string False
Should only be used if the user creation failed due to the LDAP user already exists and it was confirmed that the new user must be linked with it
N

Sample Response Body

{
  "user": "FERNANDO",
  "empNo": null,
  "firstName": "Fernando",
  "lastName": "Melo",
  "configCode": null,
  "configDesc": null,
  "compCode": "ZZ",
  "contactCode": "FME",
  "addCode": null,
  "email": "fernando.melo@cmic.ca",
  "regionCode": null,
  "postalCode": null,
  "country": null,
  "workPhoneNnum": "123 312 2983",
  "faxNum": "234 312 2983",
  "ldapServerName": "Default",
  "defaultConsoleName": "CONSOLE",
  "defaultConsoleDesc": "Standard Console",
  "dbUserFlag": "N",
  "portalLdapUser": "FERNANDO",
  "portalUser": "FERNANDO",
  "uuid": "FC12B242F55321D2E053AF811DAC70A2",
  "createDate": "2019-04-11T16:12:14.000+0000"
}

Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourceItem+json
Body parameters
object
Example{ "user": "HENRYTEST7", "firstName": "Henry", "lastName": "Test 7", "compCode": "PYMJ", "email": "henry.lee@cmic.ca", "ldapServerName": "Default", "dbUserFlag": "N", "portalLdapUser": "HENRYTEST7" }
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/json
{
  "user": "HENRYTEST7",
  "empNo": null,
  "firstName": "Henry",
  "lastName": "Test 7",
  "configCode": null,
  "configDesc": null,
  "compCode": "ZZ",
  "contactCode": "HTEST",
  "addCode": null,
  "email": "henry.lee@cmic.ca",
  "regionCode": null,
  "postalCode": null,
  "country": null,
  "workPhoneNnum": null,
  "faxNum": null,
  "ldapServerName": "Default",
  "defaultConsoleName": null,
  "defaultConsoleDesc": null,
  "dbUserFlag": "N",
  "portalLdapUser": "HENRYTEST7",
  "portalUser": "HENRYTEST7",
  "uuid": "3C6CBF3217D2B92CE0630B811DACC3C0",
  "createDate": "2025-08-15T18:42:18Z"
}
object
Copyright © 2024 CMiC All Rights Reserved